Bug 974492 - Review Request: php-xmlseclibs - PHP library for XML Security
Review Request: php-xmlseclibs - PHP library for XML Security
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 800867
  Show dependency treegraph
 
Reported: 2013-06-14 05:35 EDT by François Kooman
Modified: 2015-01-21 06:41 EST (History)
4 users (show)

See Also:
Fixed In Version: php-xmlseclibs-1.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (14.33 KB, text/plain)
2013-06-15 10:06 EDT, Remi Collet
no flags Details
review.txt (7.04 KB, text/plain)
2013-06-15 10:27 EDT, Remi Collet
no flags Details
review.txt (7.05 KB, text/plain)
2013-06-15 10:29 EDT, Remi Collet
no flags Details

  None (edit)
Description François Kooman 2013-06-14 05:35:19 EDT
Spec URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs.spec
SRPM URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs-1.3.0-2.fc18.src.rpm
Description: 
xmlseclibs is a library written in PHP for working with XML Encryption and 
Signatures. 
Fedora Account System Username: fkooman
Comment 1 Remi Collet 2013-06-15 10:06:52 EDT
Created attachment 761576 [details]
phpci.log

phpcompatinfo version 2.17.0.
Comment 2 Remi Collet 2013-06-15 10:27:57 EDT
Created attachment 761578 [details]
review.txt

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 974492
Comment 3 Remi Collet 2013-06-15 10:28:54 EDT
Blockers

[!]: Requires correct, justified where necessary.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[!]: SourceX tarball generation or download is documented.
[!]: %check is present and all tests pass.
Comment 4 Remi Collet 2013-06-15 10:29:19 EDT
Created attachment 761579 [details]
review.txt
Comment 5 François Kooman 2013-06-18 05:01:20 EDT
I think I fixed all issues where possible.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5515838

Spec URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs.spec
SRPM URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs-1.3.0-5.fc18.src.rpm

Thanks for your thorough review!
Comment 6 Remi Collet 2013-06-18 05:26:50 EDT
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[x]: %check is present and all tests pass.

[!]: Requires correct, justified where necessary.

Still not correct.
From http://fedoraproject.org/wiki/Packaging:PHP#Extensions_Requires

"PHP extensions must have a Requires on ALL of the dependent extensions."

So should , according to phpci, should be, else please justify
php-dom
php-hash
php-libxml
php-mcrypt
php-openssl
(and remove php-xml)

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

The request is fine but not enough. From
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

* Include a copy of what they believe the license text is intended to be...
* Choose not to package that software for Fedora. 

So I propose to wait a little from upstream on your filed bug.
Comment 7 François Kooman 2013-06-18 10:06:44 EDT
Spec URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs.spec
SRPM URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs-1.3.0-6.fc18.src.rpm

Updated the (Build)Requires according to phpci output. I hope the PEAR requirements are sufficient (as it is just used for testing).

I also talked to upstream (mail) about the future of the project and they seem to be getting back to updating the code soon.

I agree we should probably wait for a new release with the license stuff fixed.
Comment 8 François Kooman 2013-06-19 05:00:24 EDT
Upstream released a new version, 1.3.1 which addresses all the issues as far as I know and allows for the patch to be removed.

Spec URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs.spec
SRPM URL: http://fkooman.fedorapeople.org/php-xmlseclibs/php-xmlseclibs-1.3.1-1.fc18.src.rpm
Comment 9 Remi Collet 2013-06-19 05:06:11 EDT
[x]: Requires correct, justified where necessary.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

LICENSE file, provided by upstream now include.

So, no more blockers.

=== APPROVED ===
Comment 10 François Kooman 2013-06-19 07:40:00 EDT
New Package SCM Request
=======================
Package Name: php-xmlseclibs
Short Description: PHP library for XML Security
Owners: fkooman
Branches: f18 f19
InitialCC:
Comment 11 François Kooman 2013-06-19 07:40:41 EDT
@Remi: do you want to be co-owner?
Comment 12 Remi Collet 2013-06-19 07:54:35 EDT
@François, no thanks (If need I will use my provenpackager super-power).
Comment 13 Gwyn Ciesla 2013-06-19 08:12:42 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-06-20 05:38:36 EDT
php-xmlseclibs-1.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-xmlseclibs-1.3.1-1.fc19
Comment 15 Fedora Update System 2013-06-20 05:48:53 EDT
php-xmlseclibs-1.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-xmlseclibs-1.3.1-1.fc18
Comment 16 Fedora Update System 2013-06-20 13:56:53 EDT
php-xmlseclibs-1.3.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 17 Fedora Update System 2013-06-29 14:44:52 EDT
php-xmlseclibs-1.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Shawn Iwinski 2015-01-20 19:43:04 EST
Package Change Request
======================
Package Name: php-xmlseclibs
New Branches: el6 epel7
Owners: fkooman siwinski
InitialCC: 

Co-maintainership approved through email with fkooman.  Does he need to add approval here as well?
Comment 19 Gwyn Ciesla 2015-01-21 06:41:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.